Bug 121277 - kdemultimedia-3.2.2 specfile misses fam-devel build prereq
kdemultimedia-3.2.2 specfile misses fam-devel build prereq
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-04-19 18:30 EDT by Felipe Alfaro Solana
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-20 08:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2004-04-19 18:30:15 EDT
Description of problem: 
I think the specfile for kdemultimedia-3.2.2-1 should list fam-devel 
as a build prerequisite. At least, while rebuilding kdemultimedia 
from the SRPM by myself to enable MP3 support, the build process 
failed as /usr/lib/libfam.la was missing. 
Installing fam-devel and adding fam-devel as a build prerequisite 
solved the problem for me. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1. rpm -e fam-devel 
2. rpm -i fam... 
2. rpmbuild --rebuild kdemultimedia-3.2.2-1.src.rpm 
Actual results: 
Rebuilding kdemultimedia-3.2.2-1.src.rpm fails if fam-devel is not 
installed, but fam is. 
Expected results: 
I think the specfile for kdemultimedia-3.2.2-1.src should list 
fam-devel as a build prerequisite. 
Additional info:
Comment 1 Ngo Than 2004-04-20 08:26:20 EDT
it's a bug in kdelibs-devel, which should have requires fam-devel.
kdelibs-3.2.2-3 should fix this problem

Note You need to log in before you can comment on or make changes to this bug.